## r-cran-optimx 2020

=== DESCRIPTION ===
Package: optimx
Version: 2020-4.2
Date: 2020-04-02
Title: Expanded Replacement and Extension of the 'optim' Function
Authors@R: c( person(given = c("John", "C"), family = "Nash", role =
    c("aut", "cre"), email = "nashjc@uottawa.ca"), person(given =
    "Ravi", family = "Varadhan", role = "aut", email =
    "RVaradhan@jhmi.edu"), person(given = "Gabor", family =
    "Grothendieck", role = "ctb", email =
    "ggrothendieck@gmail.com") )
Author: John C Nash [aut, cre],
  Ravi Varadhan [aut],
  Gabor Grothendieck [ctb]
Maintainer: John C Nash <nashjc@uottawa.ca>
Description: Provides a replacement and extension of the optim()
    function to call to several function minimization codes in R in a single
    statement. These methods handle smooth, possibly box constrained functions 
    of several or many parameters. Note that function 'optimr()' was prepared to
    simplify the incorporation of minimization codes going forward. Also implements some
    utility codes and some extra solvers, including safeguarded Newton methods.
    Many methods previously separate are now included here.
    This is the version for CRAN.
License: GPL-2
LazyLoad: Yes
Imports: numDeriv
NeedsCompilation: no
Suggests: knitr, rmarkdown, setRNG, BB, ucminf, minqa, dfoptim,
        lbfgsb3c, lbfgs, subplex
VignetteBuilder: knitr
Packaged: 2020-04-02 22:18:54 UTC; john
Repository: CRAN
Date/Publication: 2020-04-08 14:20:02 UTC

## r-cran-optimx 2020-4.2+dfsg

=== debian/changelog ===
r-cran-optimx (2020-4.2+dfsg-2) unstable; urgency=medium

  * debhelper-compat 13 (routine-update)

 -- Andreas Tille <tille@debian.org>  Sat, 31 Oct 2020 19:02:29 +0100

r-cran-optimx (2020-4.2+dfsg-1) unstable; urgency=medium

  * Initial release (closes: #973375)

 -- Andreas Tille <tille@debian.org>  Thu, 29 Oct 2020 22:56:20 +0100

=== debian/control ===
Source: r-cran-optimx
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-numderiv
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-optimx
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-optimx.git
Homepage: https://cran.r-project.org/package=optimx
Rules-Requires-Root: no

Package: r-cran-optimx
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R expanded replacement and extension of the 'optim' function
 Provides a replacement and extension of the optim() function to call to
 several function minimization codes in R in a single statement. These
 methods handle smooth, possibly box constrained functions of several or
 many parameters. Note that function 'optimr()' was prepared to simplify
 the incorporation of minimization codes going forward. Also implements
 some utility codes and some extra solvers, including safeguarded Newton
 methods. Many methods previously separate are now included here. This is
 the version for CRAN.

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-lbfgsb3c, r-cran-minqa, r-cran-dfoptim
Restrictions: allow-stderr

## r-cran-optimx 2021

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: optimx
-Version: 2020-4.2
-Date: 2020-04-02
+Version: 2021-10.12
+Date: 2021-10-12
 Title: Expanded Replacement and Extension of the 'optim' Function
 Authors@R: c( person(given = c("John", "C"), family = "Nash", role =
     c("aut", "cre"), email = "nashjc@uottawa.ca"), person(given =
@@ -27,6 +27,6 @@
 Suggests: knitr, rmarkdown, setRNG, BB, ucminf, minqa, dfoptim,
         lbfgsb3c, lbfgs, subplex
 VignetteBuilder: knitr
-Packaged: 2020-04-02 22:18:54 UTC; john
+Packaged: 2021-10-12 18:40:47 UTC; john
 Repository: CRAN
-Date/Publication: 2020-04-08 14:20:02 UTC
+Date/Publication: 2021-10-13 20:40:06 UTC

## r-cran-optimx 2021-10.12+dfsg

=== debian/changelog ===
r-cran-optimx (2021-10.12+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Thu, 14 Oct 2021 22:28:17 +0200

r-cran-optimx (2021-6.12+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)
  * Drop vignettes/SNewton.html from upstream source since it contains
    compressed JS

 -- Andreas Tille <tille@debian.org>  Tue, 31 Aug 2021 09:43:43 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                dh-r,
                r-base-dev,
                r-cran-numderiv
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-optimx
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-optimx.git
 Homepage: https://cran.r-project.org/package=optimx

## r-cran-optimx 2022

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: optimx
-Version: 2021-10.12
-Date: 2021-10-12
+Version: 2022-4.30
+Date: 2022-04-30
 Title: Expanded Replacement and Extension of the 'optim' Function
 Authors@R: c( person(given = c("John", "C"), family = "Nash", role =
     c("aut", "cre"), email = "nashjc@uottawa.ca"), person(given =
@@ -27,6 +27,7 @@
 Suggests: knitr, rmarkdown, setRNG, BB, ucminf, minqa, dfoptim,
         lbfgsb3c, lbfgs, subplex
 VignetteBuilder: knitr
-Packaged: 2021-10-12 18:40:47 UTC; john
+Packaged: 2022-05-03 16:46:32 UTC; john
 Repository: CRAN
-Date/Publication: 2021-10-13 20:40:06 UTC
+Date/Publication: 2022-05-10 17:50:02 UTC
+RoxygenNote: 7.1.2

## r-cran-optimx 2022-4.30+dfsg

=== debian/changelog ===
r-cran-optimx (2022-4.30+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 18 May 2022 10:38:39 +0200

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,18 @@
 Source: r-cran-optimx
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-optimx
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-optimx.git
+Homepage: https://cran.r-project.org/package=optimx
+Standards-Version: 4.6.1
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-numderiv
-Standards-Version: 4.6.0
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-optimx
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-optimx.git
-Homepage: https://cran.r-project.org/package=optimx
-Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-optimx
 Architecture: all

## r-cran-optimx 2023

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: optimx
-Version: 2022-4.30
-Date: 2022-04-30
+Version: 2023-10.21
+Date: 2023-10-21
 Title: Expanded Replacement and Extension of the 'optim' Function
 Authors@R: c( person(given = c("John", "C"), family = "Nash", role =
     c("aut", "cre"), email = "nashjc@uottawa.ca"), person(given =
@@ -22,12 +22,13 @@
     This is the version for CRAN.
 License: GPL-2
 LazyLoad: Yes
-Imports: numDeriv
+Imports: numDeriv, nloptr, pracma
 NeedsCompilation: no
 Suggests: knitr, rmarkdown, setRNG, BB, ucminf, minqa, dfoptim,
-        lbfgsb3c, lbfgs, subplex
-VignetteBuilder: knitr
-Packaged: 2022-05-03 16:46:32 UTC; john
+        lbfgsb3c, lbfgs, subplex, marqLevAlg, testthat (>= 3.0.0),
+        R.rsp
+VignetteBuilder: R.rsp
+Config/testthat/edition: 3
+Packaged: 2023-10-24 12:58:46 UTC; john
 Repository: CRAN
-Date/Publication: 2022-05-10 17:50:02 UTC
-RoxygenNote: 7.1.2
+Date/Publication: 2023-10-24 13:50:02 UTC

## r-cran-optimx 2023-10.21

=== debian/changelog ===
r-cran-optimx (2023-10.21-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Tue, 21 Nov 2023 14:11:55 +0100

r-cran-optimx (2023-8.13+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)
  * Skip tests requiring package BB

 -- Andreas Tille <tille@debian.org>  Fri, 01 Sep 2023 11:36:40 +0200

=== debian/control ===
--- 
+++ 
@@ -6,12 +6,14 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-optimx
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-optimx.git
 Homepage: https://cran.r-project.org/package=optimx
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-cran-numderiv
+               r-cran-numderiv,
+               r-cran-nloptr,
+               r-cran-pracma
 Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-optimx

## r-cran-optimx 2024

=== DESCRIPTION ===
Package: optimx
Version: 2024-12.2
Date: 2024-12-02
Title: Expanded Replacement and Extension of the 'optim' Function
Authors@R: c( person(given = c("John", "C"), family = "Nash", role =
    c("aut", "cre"), email = "profjcnash@gmail.com"), person(given =
    "Ravi", family = "Varadhan", role = "aut", email =
    "RVaradhan@jhmi.edu"), person(given = "Hans W", family =
    "Borchers", role = "ctb", email =  "hwborchers@gmail.com"),  
    person(given = "Gabor", family = "Grothendieck", role = "ctb", email =
    "ggrothendieck@gmail.com") )
Maintainer: John C Nash <profjcnash@gmail.com>
Description: Provides a replacement and extension of the optim()
    function to call to several function minimization codes in R in a single
    statement. These methods handle smooth, possibly box constrained functions 
    of several or many parameters. Note that function 'optimr()' was prepared to
    simplify the incorporation of minimization codes going forward. Also implements some
    utility codes and some extra solvers, including safeguarded Newton methods.
    Many methods previously separate are now included here.
    This is the version for CRAN.
License: GPL-2
URL: https://github.com/nashjc/optimx
BugReports: https://github.com/nashjc/optimx/issues
LazyLoad: Yes
Imports: numDeriv, nloptr, pracma
NeedsCompilation: no
Suggests: knitr, rmarkdown, setRNG, BB, ucminf, minqa, dfoptim,
        lbfgsb3c, lbfgs, subplex, marqLevAlg, testthat (>= 3.0.0),
        R.rsp
VignetteBuilder: R.rsp
Config/testthat/edition: 3
Config/build/clean-inst-doc: false
Packaged: 2024-12-10 02:16:41 UTC; john
Author: John C Nash [aut, cre],
  Ravi Varadhan [aut],
  Hans W Borchers [ctb],
  Gabor Grothendieck [ctb]
Repository: CRAN
Date/Publication: 2024-12-10 10:30:01 UTC

## r-cran-optimx 2024-12.2

=== debian/changelog ===
r-cran-optimx (2024-12.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)

 -- Charles Plessy <plessy@debian.org>  Tue, 21 Jan 2025 08:28:22 +0900

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-optimx
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-optimx.git
 Homepage: https://cran.r-project.org/package=optimx
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem R

override_dh_fixperms:
	dh_fixperms
	find debian -name CITATION -exec chmod -x \{\} \;

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-knitr,
        r-cran-rmarkdown,
        r-cran-setrng,
        r-cran-ucminf,
        r-cran-minqa,
        r-cran-dfoptim,
        r-cran-lbfgsb3c,
        r-cran-testthat (>= 3.0.0),
        r-cran-r.rsp
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg[0-9]*//g,repack,compression=xz" \
https://cloud.r-project.org/src/contrib/optimx_([-\d.]*)\.tar\.gz
